* {

    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Nunito', sans-serif;
}

.container {
    max-width: 1200px;
    margin: auto;
    padding: 0 5%;
}

nav {
    width: 100%;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 15px;
}

.logos {
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.logos:hover {
    transform: scale(1.1);
}

.logos i {
    font-size: 35px;
    color: crimson;
}

.logos h1{
    font-size: 40px;
    margin-left: 5px;
}

ul {
    display: flex;
    list-style: none;
    text-transform: capitalize;
}

ul .menu-icon {
    display: none;
}

ul a {
    font-size: 25px;
    margin-left: 40px;
    color: #333;
    text-decoration: none;
    transition: 0.5s ease-in-out;
}

ul a:hover {
    color: crimson;
}

.menu-icon {
    display: none;
}

/* BIG-PAGE */
 
.big-page {
    min-height: auto;
    background: url("images/home-bg.jpg") no-repeat center/cover;
    padding-bottom: 20px;
}

.box {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-top: 50px;
}

.home-img {
    width: 100%;
    animation: burger 3s infinite;
    cursor: pointer;
}

@keyframes burger  {
    0%, 100% {
        transform: translateY(0rem);
    }

    50% {
        transform: translateY(3rem);
    }
}

.home {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.big-header {
    font-size: 49px;
    margin-top: 120px;
}

.big-text {
    font-size: 20px;
    margin-top: 20px;
}

.big-page-btn {
    font-size: 20px;
    background: transparent;
    border-radius: 10px;
    border: 2px solid crimson;
    padding: 10px 40px;
    color: crimson;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    margin-top: 35px;
    margin-bottom: 40px;
}

.big-page-btn:hover {
    background: crimson;
    color: #fff;
}


/* SPECIALITY PART */

.speciality-part {
    background: rgb(245, 243, 243);
    padding: 40px 0v;
}

.speciality-header {
    font-size: 45px;
    color: silver;
    text-align: center;
    padding-top: 30px;
}

.speciality-header span {
    color: crimson;
}

.speciality-boxes {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-gap: 20px;
    margin-top: 50px;
    padding-bottom: 50px;
}

.speciality-inboxes {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border: 2px solid silver;
    border-radius: 5px;
    padding: 30px 10px;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}

.special-header {
    margin: 10px 0;
}

.special-text {
    text-align: center;
}

.speciality-inboxes:hover {
    transform: scale(0.9);
}


/* POPULAR-PART */

.popular-part {
    background: rgb(245, 243, 243);
}

.popular-boxes {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    padding: 50px 0;
}

.popular-inboxes {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 10px 30px;
    border-radius: 15px;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}

.popular-inboxes:hover {
    transform: scale(0.9);
}

.popular-inboxes img {
    width: 100%;
    border-radius: 5px;
}

.popular-boxes-name {
    font-size: 25px;
    margin: 15px 0;
    margin-left: 20px;
}

.popular-header  {
    font-size: 45px;
    color: silver;
    text-align: center;
    padding-top: 30px;
}

.popular-header span {
    color: crimson;
}

.stars i {
    color: orange;
    font-size: 18px;
}

.popular-btn {
    margin-bottom: 5px;
}

.price-list {
   display: flex;
   align-items: center;
   justify-content: space-between;
   flex-direction: row;
}

.price-list h2 {
    font-size: 15px;
}

/* WORK-PART */

.work-part {
    background: rgb(255, 255, 255);
    padding: 40px 0;
}

.work-header  {
    font-size: 45px;
    color: silver;
    text-align: center;
    padding-top: 30px;
}

.work-header span {
    color: crimson;
}

.work-box {
    display: grid;
    grid-gap: 60px;
    grid-template-columns: repeat(4, 1fr);
    margin-top: 50px;
}

.work-inbox {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: 0.5s ease-in-out;
    animation: burger 3s infinite;
}

.work-inbox img {
    width: 100%;
    cursor: pointer;
}

.work-inbox:hover {
    transform: translateY(20px);
}

.step-names {
    text-align: center;
    font-weight: 900;
    font-size: 25px;
    margin-top: 20px;
}

/* GALLERY-PART */

.gallery-header {
    font-size: 45px;
    color: silver;
    text-align: center;
    padding: 80px 0;
}

.gallery-header span {
    color: crimson;
}

.galleries {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-gap: 20px;
    padding-bottom: 40px;
}

.photos img {
    width: 100%;
    border-radius: 15px;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}

.photos img:hover {
    transform: scale(1.1);
    opacity: 0.9;
    border-radius: 5px;
}

/* REVIEW-PART */

.review-part {
    background: #F5F3F3;
}

.review-header {
    font-size: 45px;
    color: silver;
    text-align: center;
    padding-top: 30px;
}

.review-header span {
    color: crimson;
}

.review-box {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-top: 100px;
    padding-bottom: 50px;
    grid-gap: 30px;
}

.review-card {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: #fff;
    padding: 20px 15px;
    border-radius: 15px;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}

.review-card:hover {
    transform: translateY(20px);
}

.card-header-img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-top: -90px;
}

.card-header {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: #000;
    color: #fff;
    border-radius: 15px;
}

.card-body {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px 15px;
}

.persons-feedback {
    font-size: 15px;
    text-align: center;
    margin-top: 15px;
}

/* ORDER-PART */

.order-header {
    font-size: 45px;
    color: silver;
    text-align: center;
    padding-top: 30px;
}

.order-header span {
    color: crimson;
}

.order-box {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    background: #F5F3F3;
    padding: 20px;
    margin: 30px 0;
    border-radius: 15px;
}

.order-img {
    width: 100%;
    border-radius: 5px;
}

.main-box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.main-inbox {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-top: 20px;
}

.input {
    width: 100%;
    height: 40px;
    background: #fff;
    border: 2px solid silver;
    border-radius: 5px;
    padding: 20px;
    margin-bottom: 10px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    font-size: 15px;
}

.input:hover {
    color: #000;
    border: 2px solid #f00;
}

.right-side-inputs {
    transform: translateX(10px);
}

.big-input {
    margin-left: 7px;
}

.address-input {
    width: 100%;
    height: 110px;
    font-size: 15px;
    border: 2px solid silver;
    border-radius: 5px;
    transition: 0.5s ease-in-out;
    cursor: pointer;
    padding-left: 15px;
}

.address-input:hover {
    color: #000;
    border: 2px solid #f00;
}

/* FOOTER */

footer {
    height: auto;
    background: #000;
    padding: 15px 0;
}

.footer-links {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: row;
}

.footer-links a {
    text-decoration: none;
    border: 2px solid crimson;
    background: transparent;
    color: crimson;
    border-radius: 8px;
    padding: 7px 25px;
    font-size: 20px;
    margin-top: 20px;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}

.footer-links a:hover {
    color: #fff;
    background: crimson;
}

.footer-title {
    text-align: center;
    font-size: 25px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    color: #fff;
    margin-top: 30px;
    margin-bottom: 20px;
}

.footer-title span {
    color: crimson;
}


/* MEDIA QUERIES */

@media (max-width:1025px) {
    .container {
        max-width: 1000px;
        margin: auto;
    }

    ul a{
        font-size: 20px;
    }

    .big-header {
        margin-top: 45px;
        font-size: 40px;
    }

    .big-text {
        font-size: 18px;
        margin-top: 10px;
        padding-right: 30px;
    }

    .big-page-btn {
        padding: 10px 30px;
    }

    .price-list h2 {
        font-size: 25px;
    }

    .popular-boxes-name {
        font-size: 22px;
    }

    .speciality-boxes {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }

    .popular-boxes {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }

    .step-names {
        font-size: 16px;
    }

    .left-side-inputs {
        transform: translateX(8px);
    }

    .address-input {
        width: 100%;
        height: 80px;
    }

    .galleries {
        grid-template-columns: repeat(2, 1fr);
    }

    .order-btn {
        transform: translateX(250px);
    }

    .footer-links a {
        padding: 5px 15px;
    }
}

@media (max-width:770px) {
    .container {
        max-width: 750px;
        margin: auto;
    }

    ul a{
        font-size: 17px;
        margin-left: 20px;
    }

    .big-header {
        margin-top: 25px;
        font-size: 30px;
    }

    .big-text {
        font-size: 15px;
        margin-top: 10px;
    }

    .big-page-btn {
        margin-top: 15px;
        padding: 4px 25px;
        font-size: 18px;
    }

    .speciality-boxes {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(6, 1fr);
    }

    .popular-boxes {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(6, 1fr);
    }

    .work-box {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .review-box {
        grid-template-columns: repeat(2, 1fr);
    }
    
    .order-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .review-card:nth-child(3) {
        margin-top: 80px;
    }
}

@media (max-width:376px) {
    .container {
        max-width: 360px;
        margin: auto;
    }

    ul a {
        display: none;
    }

    .box {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(2, 1fr);
    }

    .home {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .speciality-header {
        margin-top: 50px;
    }

    .big-header {
        margin-top: -45px;
        font-size: 30px;
    }

    .menu-icon {
        display: block;
        font-size: 25px;
        border-radius: 2px solid #000;
    }

    #menu-icon {
        display: block;
    }

    .big-text {
        font-size: 15px;
        margin-top: 10px;
        padding-right: 0;
    }

    .big-page-btn {
        margin-top: 15px;
        padding: 4px 25px;
        font-size: 18px;
    }

    .price-list h2 {
        font-size: 15px;
    }

    .galleries {
        grid-template-columns: repeat(1, 1fr);
    }

    .review-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .review-card:nth-child(2) {
        margin-top: 80px;
    }

    .order-btn {
        transform: translateX(0);
    }
    
    .footer-links {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 10px;
    }

    .footer-links a {
        padding: 5px 10px;
    }
}

@media (max-width:610px) {
    ul {
        display: none;
    }
}

@media (max-width:360px) {
    .footer-links a {
        display: none;
    }
}

@media (max-width:595px) {
    .footer-links a {
        display: none;
    }
}

@media (max-width:385px) {
    .big-input {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .order-btn {
        transform: translateX(0);
    }
}